Subject: RE: Proposal for slight edit to section 6.2.1 of draft-ietf-ipr-t echn ology-rights-09.txt

From: Powers Chuck-rxcp20 <[email-masked]>
Date: Sat, 14 Jun 2003 18:17:42 -0700

John,

Speaking for my employer, we would prefer to not make multiple IP disclosures which might later prove to be unnecessary, especially if we may then be requested to refine or withdraw those disclosures if/when that occurs. The more specific the disclosures are expected to be, the more costly each is to prepare. Broader, more generic statements would be easier to make earlier in the process, but the current wording of this draft makes it clear that non-RF blanket statements will not be acceptable.

Conceptually, I think that your proposal would be the common-sense approach (reserving final judgment until the actual language is drafted).

Chuck

> -----Original Message-----
> From: Scott Bradner [mailto:[email-masked]]
> Sent: Saturday, June 14, 2003 10:07 AM
> To: Chuck Powers; [email-masked]; [email-masked]
> Cc: [email-masked]
> Subject: RE: Proposal for slight edit to section 6.2.1 of
> draft-ietf-ipr-t echn ology-rights-09.txt
> 
> 
> works for me
> 
> ----
> From [email-masked]  Sat Jun 14 09:52:44 2003
> Date: Sat, 14 Jun 2003 09:52:38 -0400
> From: John C Klensin <[email-masked]>
> To: Scott Bradner <[email-masked]>,
>    "[email-masked]" <[email-masked]>
> cc: "[email-masked]" <[email-masked]>
> Subject: RE: Proposal for slight edit to section 6.2.1 of
>  draft-ietf-ipr-t echn ology-rights-09.txt
> In-Reply-To: <[email-masked]>
> References:  <[email-masked]>
> X-Mailer: Mulberry/3.0.3 (Win32)
> MIME-Version: 1.0
> Content-Type: text/plain; charset=us-ascii; format=flowed
> Content-Transfer-Encoding: 7bit
> Content-Disposition: inline
> 
> 
> 
> --On Friday, 13 June, 2003 16:22 -0400 Scott Bradner 
> <[email-masked]> wrote:
> 
> >> Your second point is valid; perhaps the approach: "...at
> >> least as soon as reasonably possible after the Contributor
> >> becomes aware [or "realizes", or  some other legally
> >> acceptable phrase] the Contribution has been  incorporated
> >> into a submission to be published as an Internet Draft..."
> >> would be a better approach.  This would base the obligation
> >> to disclose  on the Contributor's actual knowledge that the
> >> Contribution has been  accepted into a tangible
> >> work-in-progress.
> >
> > I think it is better for the IETF to hear about IPR as soon as
> > the contributor realizes that people are taking the
> > contribution seriously and that is as soon as the contributor
> > knows that it will be included in an ID (for example, by teh
> > ID author saying 'thats a good idea, I will include it in the
> > next rev' - I see no use in the delay and, as I said before, I
> > think it offers more chance of an honest error to disclose
> > because the contributor may not notice when the ID is editrd
> > or posted
> 
> This may be naive, but wouldn't a bit of "as soon feasible... 
> but no later than the time the Contribution is incorporated..." 
> language get us out of the tradeoff problem here?
> 
> It seems to me that some of the arguments can be turned around 
> to say "some people/ companies, probably including those with 
> corporate-wide policies about licensing for standards purposes, 
> would prefer to get a disclosure stake in the ground early so as 
> to not have to track when to make it, while others prefer to not 
> go through the bureaucracy and expense of IPR-release evaluation 
> when it might be unnecessary".  Both are reasonable and it seems 
> to me that we should be able to accommodate both and move on.
> 
>       john
> 
> _______________________________________________
> Ipr-wg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ipr-wg
> 
_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg

---

From: Keith Moore <[email-masked]>
Date: Sun, 15 Jun 2003 01:58:23 -0400

> Speaking for my employer, we would prefer to not make multiple IP
> disclosures which might later prove to be unnecessary, especially if we may
> then be requested to refine or withdraw those disclosures if/when that
> occurs.

why would you ever be requested to refine or withdraw a disclosure?
if you disclose IPR, it's disclosed.  you shouldn't refine it unless
your first disclosure was somehow incorrect.   of course you can
offer new licenses at any time, assuming you don't delegate that
power exclusively to someone else.  but disclosure and license are
different things.

---

From: "Lawrence E. Rosen" <[email-masked]>
Date: Sat, 14 Jun 2003 22:51:54 -0700

Chuck,

Thank you for your honesty, rare in these parts.  Indeed, you are
speaking for your employer.  Too bad others here don't admit that.  

/Larry

> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Powers Chuck-rxcp20
> Sent: Saturday, June 14, 2003 6:18 PM
> To: [email-masked]
> Cc: [email-masked]; 'Scott Bradner'
> Speaking for my employer, we would prefer to not make 
> multiple IP disclosures which might later prove to be 
> unnecessary, especially if we may then be requested to refine 
> or withdraw those disclosures if/when that occurs. The more 
> specific the disclosures are expected to be, the more costly 
> each is to prepare. Broader, more generic statements would be 
> easier to make earlier in the process, but the current 
> wording of this draft makes it clear that non-RF blanket 
> statements will not be acceptable.
> 
> Conceptually, I think that your proposal would be the 
> common-sense approach (reserving final judgment until the 
> actual language is drafted).
> 
> Chuck
> 
> least as 
> > >> soon as reasonably possible after the Contributor 
> becomes aware [or 
> > >> "realizes", or  some other legally acceptable phrase] the 
> > >> Contribution has been  incorporated into a submission to be 
> > >> published as an Internet Draft..." would be a better approach.  
> > >> This would base the obligation to disclose  on the Contributor's 
> > >> actual knowledge that the Contribution has been  accepted into a 
> > >> tangible work-in-progress.
> > >
> > > I think it is better for the IETF to hear about IPR as 
> soon as the 
> > > contributor realizes that people are taking the contribution 
> > > seriously and that is as soon as the contributor knows 
> that it will 
> > > be included in an ID (for example, by teh ID author 
> saying 'thats a 
> > > good idea, I will include it in the next rev' - I see no 
> use in the 
> > > delay and, as I said before, I think it offers more chance of an 
> > > honest error to disclose because the contributor may not 
> notice when 
> > > the ID is editrd or posted
> >

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Sun, 15 Jun 2003 11:21:20 +0200

speaking for myself..... (and I really mean that, Larry :-):

--On søndag, juni 15, 2003 01:58:23 -0400 Keith Moore <[email-masked]> 
wrote:

>> disclosures which might later prove to be unnecessary, especially if we
>> may then be requested to refine or withdraw those disclosures if/when
>> that occurs.
>

they are, but we chose to encourage people to speak about them at the same 
time.

since the disclosure contains licensing terms, a hurried disclosure will 
almost always contain "we're not sure yet" - which in lawyerese will be 
written as "we're keeping our rights to be as restrictive as possible".
so refinement may often be making "better" terms available.

if the discloser is in doubt about whether the ipr is relevant or not, a 
hurried disclosure will have to claim that it might be; if, on reflection, 
the IPR turns out not to be, the disclosure must be updated to say that - 
in the interest of not cluttering up the world too much, we may very well 
choose to archive such "neutered" disclosures somewhere other than the main 
IPR archive; this could be seen as "withdrawing" the disclosure.

if the IPR is a pending application which is later denied, the disclosure 
similarly needs to be updated and "neutered".

                    Harald

---

From: "todd glassey" <[email-masked]>
Date: Sun, 15 Jun 2003 06:41:28 -0700

Chuck -

----- Original Message ----- 
From: "Lawrence E. Rosen" <[email-masked]>
To: "'Powers Chuck-rxcp20'" <[email-masked]>; <[email-masked]>
Cc: <[email-masked]>; "'Scott Bradner'" <[email-masked]>
Sent: Saturday, June 14, 2003 10:51 PM
Subject: RE: Proposal for slight edit to section 6.2.1 of draft-ietf-ipr-t
echn ology-rights-09.txt

> > or withdraw those disclosures if/when that occurs.

Thanks for illustrating the problem here, Chuck does your employer know that
you are representing them and their interests here in the IETF and how do
the rest of us know that? - You made a claim as to their desires, but do
they know that you are "their agent or representive to the IETF"??? and how
about the rest of us?... I bet for most all of us the answer is that we
dont.

Further Chcuk, while you of course are not misrepreseting things here, this
exercise is here becuase trust is not something that goes with Standards
Processes. Proofs are. Which means that the proceses should be built so that
no one has to swear to anything here, i.e. that the processes protect us
from whether people lie in the submissions process or not, and they clearly
dont now.

> > The more
> > each is to prepare.

What this indicates is that Companies or Employers as you put it, that send
people to the IETF need to have TWO (2) levels of releases, one against
their general participation, and one as a specific release against any
specific initiaitve.

BOTH of these requirements are VERY EASILY met by:

    1)    Requiring a statement of representation as a part of the
registration in the IETF and a need to keep that current, failing to do so
could and should trigger punitive actions for violating the IP rules here.

    2)    Requiring each initiaitve to have a formal release against it BY
ALL of the Vetting Team Members within the WG... Which many will scream and
cry about but is really not such a big deal when we look at how vetting
teams are generally formed today.

Todd

> > Broader, more generic statements would be

---

From: "todd glassey" <[email-masked]>
Date: Sun, 15 Jun 2003 07:14:28 -0700

Keith -
----- Original Message ----- 
From: "Keith Moore" <[email-masked]>
To: "Powers Chuck-rxcp20" <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>; <[email-masked]>;
<[email-masked]>
Sent: Saturday, June 14, 2003 10:58 PM
Subject: Re: Proposal for slight edit to section 6.2.1 of draft-ietf-ipr-t
echn ology-rights-09.txt

> > disclosures which might later prove to be unnecessary, especially if we
may
> power exclusively to someone else.  but disclosure and license are

For any number of reasons...

    1)    After making a declaration some one else may have other claims
which they may syurprise you with in a Court Action, or a claim with the
PTO, either one of these will cause the re-writing of the IP Release
Statement

Patents are challenged all the time, and as an example look at the Mystic
Tan lawsuits in the US. The "inventor" of the Mystic Tan - the new "spray on
Tanning Solution" system is evidently suing his competitor, who make an
identical machine for a retail price of 60% ($30,000.00) of the Mystic Tan's
Cost (~$50,000.00 USD) and all of his competitors  customers as well, and of
course the gropunds are that they are violating a US patnet not yet issued.

My take is that Mr. Mystic Tan is toast, but the point is that there is
still significant legal expense here in defending oneself from what is a
frivilous lawsuit... So now what does the IETF do to protect the rest of the
players here if I go rouge and decide to like Dr. Mystic Tan, sue
everyone... What is the recourse???, becuase so far I think its nothing...

Neither for the IETF or for the other players, which is yet another example
of by how the use of the official rules here, one can bludgeon any other
players here.

    2)    The granularity of the IP release may also be altered for
instance. - I decide to change a GPL to an OpenSource format after its
posted, now the only question is, is whether there is a process for doing
this. My take is that the only people involved in this decision would be the
people actively involved in the Vetting of the IP's and not the "home wg"
for instance.

    3)    And lets expand this last thought to "what if the IP owners
sometime down the line decide to withdrawl the release to the world?"... You
will find that an Intellectual Property release is quite revocable, and can
be modified at any time regarding future development works.

For instance, if a company or other player floated a protocol here in the
IETF and got it to standard state and then between them and the "other
people" that had implemented it, they decided jointly to WITHDRAWL
authorization for the IETF to use this IP any further, from that point
onward... well, it is my impression that this is totally supportable.

    4)    Also - if there is any claim of Breach between the IP submissions
people and the IETF itself this also could easily constitute grounds for
revoking or changing the IP disclosure on any item... or say if there is a
complaint of say tortuous interference in the submission or completion of an
IETF standard...

My point is that the IP process ignores these to date and I believe that is
negligent to some extent.

Todd